Subject: RE: bug#24085: 25.1.50; `make-frame' given `top' param creates frame with ~10x smaller `top'

From: Drew Adams <[email-masked]>
Date: Thu, 28 Jul 2016 09:35:02 -0700 (PDT)

>  > Since I have your attention, and if it doesn't take too much of
>  > your time, could you or Martin perhaps please recommend a way of
>  > getting the screen-relative pixel coordinates of a given buffer
>  > position in a given window of a given Emacs frame?
> 
> With Emacs 25 you can combine ‘pos-visible-in-window-p’ with
> ‘window-absolute-body-pixel-edges’.

Thanks.  It's not clear to me how `pos-visible-in-window-p'
would enter the picture (except to confirm that a position
is visible before asking for its pixel coordinates, and for
`point' that is always the case), but I guess I can see how
`window-absolute-body-pixel-edges' might help.

---

Unfortunately for me, I cannot use anything from Emacs 25,
as it is hopelessly broken, so far, at least in my context.
At this point I can only hope that someone else eventually
reports problems similar to those I've reported (e.g. crashes)
and has better luck than I in tracking down the causes and
getting them fixed.

But I continue to follow Emacs development, and I continue 
to try new builds of 25, just in case.  (I make no claim that
my case is typical, obviously.)